play.exceptions

## Class TemplateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.exceptions.TemplateException

- All Implemented Interfaces:
    java.io.Serializable, SourceAttachment
  Direct Known Subclasses:
    TemplateCompilationException, TemplateExecutionException

      public abstract class TemplateException
      extends PlayException
      implements SourceAttachment

  An exception during template execution
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateException(Template template, java.lang.Integer lineNumber, java.lang.String message)`
    `TemplateException(Template template, java.lang.Integer lineNumber, java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getLineNumber()`
    `java.util.List<java.lang.String>` | `getSource()`
    `java.lang.String` | `getSourceFile()`
    `Template` | `getTemplate()`

    - ### Methods inherited from class play.exceptions.PlayException

      `getErrorDescription, getErrorTitle, getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getMoreHTML, isSourceAvailable`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateException

          public TemplateException(Template template,
                                   java.lang.Integer lineNumber,
                                   java.lang.String message)

    - #### TemplateException

          public TemplateException(Template template,
                                   java.lang.Integer lineNumber,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

  - ### Method Detail

    - #### getTemplate

          public Template getTemplate()

    - #### getLineNumber

          public java.lang.Integer getLineNumber()

      Specified by:
        `getLineNumber` in interface `SourceAttachment`
      Overrides:
        `getLineNumber` in class `PlayException`

    - #### getSource

          public java.util.List<java.lang.String> getSource()

      Specified by:
        `getSource` in interface `SourceAttachment`

    - #### getSourceFile

          public java.lang.String getSourceFile()

      Specified by:
        `getSourceFile` in interface `SourceAttachment`
      Overrides:
        `getSourceFile` in class `PlayException`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly